import { IResourceDateTimeFormat } from '@oinone/kunlun-engine';
import { RowContext } from '@oinone/kunlun-vue-ui';
import { BaseTableFieldWidget } from '../../../basic';
export declare class TableDateTimeFieldWidget extends BaseTableFieldWidget<string | Date> {
    renderDefaultSlot(context: any): any;
    protected resourceDateTimeFormat: IResourceDateTimeFormat;
    protected get format(): string | undefined;
    protected getDefaultDateFormat(): string | undefined;
    protected getDefaultTimeFormat(): string | undefined;
    protected getDateFormat(context: RowContext): string | undefined;
    protected getTimeFormat(context: RowContext): string | undefined;
    protected get defaultFormat(): string;
    protected get valueFormat(): string;
    protected hasDateFormat: boolean;
    protected hasTimeFormat: boolean;
    protected convertFormat(format: string): string | undefined;
    protected convertDateFormat(format: string): string | undefined;
    protected convertTimeFormat(format: string): string | undefined;
    protected $$created(): Promise<void>;
}
